﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek THS700x Self-Test RS-232
INSTRUMENT:            Sub Tek THS700x Sig Path Comp Cal RS-232
INSTRUMENT:            Sub Tek THS700x Select Channel RS-232
INSTRUMENT:            Sub Tek THS700x Trigger Chk and Level Adj RS-232
INSTRUMENT:            Sub Tek THS700x Setup RS-232
DATE:                  2014-06-30 14:35:30
AUTHOR:                Fluke
REVISION:              $Revision: 19178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       8
NUMBER OF LINES:       196
=============================================================================
#
#  Procedure Author:
#        ZY, GMO
#
#  Model(s) Covered:
#        THS710A, THS720A, THS730A, THS720P
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.002  JMPL         SIGNAL_PATH_COMPENSATION     PSUBI("Sig Path Comp")
  1.003  JMPL         SELECT_CHANNEL               PSUBI("Select Channel")
  1.004  JMPL         TRIGGER                      PSUBI("Trigger Chk")
  1.005  JMPL         SETUP                        PSUBI("Setup RS-232")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

#  =====  Sub Tek THS700x Self-Test RS-232  ==================================

  2.001  LABEL        SELF_TEST
  2.002  RSLT         =
  2.003  HEAD         SELF TEST
  2.004  TARGET

# Send commands to start the self-test
  2.005  DISP         Disconnect all connection from the UUT.
  2.006  PORT         DIA:SEL:ALL

# Send commands to start the self-test
  2.007  PORT         DIA:STATE EXEC

# Return result of diagnostics
  2.008  WAIT         -t 20 Self Test Executing...
  2.009  PORT         DIA:RESUL:FLA?[I$]

# Self Test evaluation
  2.010  EVAL   -e FINDI(MEM2, "PASS", 1) : SELF TEST

  3.001  PORT         CLEARM

  3.002  IF           NOT(FINDI(MEM2, "Pass", 1))
  3.003  DISP         SELF TEST failed!
  3.003  DISP
  3.003  DISP         The UUT may need be serviced.
  3.003  DISP
  3.003  DISP         Press Advance to terminate the procedure.
  3.004  MATH         @Abort = 1

  3.005  ELSE
  3.006  MATH         @Abort = 0
  3.007  ENDIF

  3.008  HEAD
  3.009  END

  3.010  EVAL   Increment step number

#  =====  Sub Tek THS700x Sig Path Comp Cal RS-232  ==========================

  4.001  LABEL        SIGNAL_PATH_COMPENSATION
  4.002  RSLT         =
  4.003  HEAD         SIGNAL PATH COMPENSATION
  4.004  OPBR         -z Signal path compensation optimizes the UUT
  4.004  OPBR         accuracy for the current ambient temperature.
  4.004  OPBR         For maximum accuracy, recompensate the signal
  4.004  OPBR         path if the ambient temperature changes by
  4.004  OPBR         5 degree or more.
  4.004  OPBR
  4.004  OPBR         It is only necessary to run this test one time.
  4.004  OPBR         Do you want to run the Signal Path Compensation Test?

  4.005  IF           MEM1
  4.006  DISP         Disconnect any probes or cables from the channel 1
  4.006  DISP         and channel 2 input BNC connectors.
  4.006  DISP
  4.006  DISP         The Signal Path Compensation will execute several
  4.006  DISP         minutes.
  4.007  MATH         @Abort = 0
  4.008  PORT         [T1000000]*CAL?[I]
  4.009  EVAL   -e NOT(MEM) : SIGNAL PATH COMPENSATION

  5.001  IF           MEM
  5.002  DISP         SIGNAL PATH COMPENSATION FAILED!
  5.002  DISP
  5.002  DISP         The UUT may need to be serviced.
  5.002  DISP
  5.002  DISP         Procedure will be aborted.
  5.003  MATH         @Abort = 1
  5.004  ENDIF

  5.005  ENDIF

  5.006  HEAD
  5.007  PORT         CLEARM
  5.008  END

  5.009  EVAL   Increment step number

#  =====  Sub Tek THS700x Select Channel RS-232  =============================

  6.001  LABEL        SELECT_CHANNEL

  6.002  IF           @Chan == 1
  6.003  PORT         SELECT:CH1 ON;CH2 OFF
  6.004  ELSE
  6.005  PORT         SELECT:CH1 OFF;CH2 ON
  6.006  ENDIF

  6.007  END

  6.008  EVAL   Increment step number

#  =====  Sub Tek THS700x Trigger Chk and Level Adj RS-232  ==================

  7.001  LABEL        TRIGGER

  7.002  PORT         TRIG:MAI SETL
  7.003  WAIT         -t 5 System Settling...
  7.004  PORT         TRIG:STATE?[I$]

  7.005  IF           NOT(FIND(MEM2, "TRIG", 1))
  7.006  MATH         PeakVal = @PeakVal / 1E+3
  7.007  MATH         StepInc = PeakVal / 10
  7.008  MATH         PosPeak = PeakVal + StepInc
  7.009  MATH         NegPeak = 0 - PeakVal / 2

  7.010  DO
  7.011  MATH         PosPeak = PosPeak - StepInc
  7.012  PORT         TRIG:MAI:LEV [V PosPeak]
  7.013  WAIT         -t 3 UUT Settling...
  7.014  PORT         TRIG:STATE?[I$]
  7.015  UNTIL        (FIND(MEM2, "TRIG", 1) > 0) || (PosPeak < NegPeak)

  7.016  MATH         @Trigged = FIND(MEM2, "TRIG", 1)

  7.017  ELSE         # UUT is Triggered
  7.018  MATH         @Trigged = 1

  7.019  ENDIF

  7.020  END

  7.021  EVAL   Increment step number

#  =====  Sub Tek THS700x Setup RS-232  ======================================

  8.001  LABEL        SETUP

  8.002  DISP         On the UUT front panel:
  8.002  DISP         [32] Select Scope or DMM mode, then Press UTILITY.
  8.002  DISP         [32] Press System softkey to select RS-232.
  8.002  DISP         [32] Press "Set RS-232 Parameters To Default Values".
  8.003  PORT         [P9600,N,8,1,H][OTERM LF]

  8.004  END
